Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawTextInternal::TextZoneInfo Struct Reference

internal class used to store a text zone More...

## Public Member Functions
| TextZoneInfo ()
| constructor More...

## Public Attributes
long | m_pos
| the position More...
int | m_N
| the number of character More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextZoneInfo const &info)
| operator<< More...

## Detailed Description

internal class used to store a text zone

## Constructor & Destructor Documentation

## ◆ TextZoneInfo()

ClarisDrawTextInternal::TextZoneInfo::TextZoneInfo | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | TextZoneInfo const & | info
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string ClarisDrawTextInternal::TextZoneInfo::m_extra

extra data

## ◆ m_N

int ClarisDrawTextInternal::TextZoneInfo::m_N

the number of character

Referenced by ClarisDrawText::readTextZoneSize().

## ◆ m_pos

long ClarisDrawTextInternal::TextZoneInfo::m_pos

the position

Referenced by ClarisDrawText::readTextZoneSize().

The documentation for this struct was generated from the following file:

- ClarisDrawText.cxx